VST 3 SDK: Optional< T > Struct Template Reference
Author: Steinberg

VST 3 SDK VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Optional< T > Struct Template Reference

`#include <optional.h>`

## Public Member Functions
| Optional () noexcept
| Optional (const T &v) noexcept
| Optional (T &&v) noexcept
| Optional (Optional &&other) noexcept
Optional & | operator= (Optional &&other) noexcept
| operator bool () const noexcept
const T & | operator* () const noexcept
const T * | operator-> () const noexcept
T & | operator* () noexcept
T * | operator-> () noexcept
T && | value () noexcept
const T & | value () const noexcept
void | swap (T &other) noexcept

## Constructor & Destructor Documentation

## ◆ Optional() [1/4]

template<typename T>

Optional | ( |  | ) |
| inlinenoexcept

## ◆ Optional() [2/4]

template<typename T>

Optional | ( | const T & | v | ) |
| inlineexplicitnoexcept

## ◆ Optional() [3/4]

template<typename T>

Optional | ( | T && | v | ) |
| inlinenoexcept

## ◆ Optional() [4/4]

template<typename T>

Optional | ( | Optional< T > && | other | ) |
| inlinenoexcept

## Member Function Documentation

## ◆ operator=()

template<typename T>

Optional & operator= | ( | Optional< T > && | other | ) |
| inlinenoexcept

## ◆ operator bool()

template<typename T>

operator bool | ( |  | ) | const
| inlineexplicitnoexcept

## ◆ operator*() [1/2]

template<typename T>

const T & operator* | ( |  | ) | const
| inlinenoexcept

## ◆ operator->() [1/2]

template<typename T>

const T * operator-> | ( |  | ) | const
| inlinenoexcept

## ◆ operator*() [2/2]

template<typename T>

T & operator* | ( |  | ) |
| inlinenoexcept

## ◆ operator->() [2/2]

template<typename T>

T * operator-> | ( |  | ) |
| inlinenoexcept

## ◆ value() [1/2]

template<typename T>

T && value | ( |  | ) |
| inlinenoexcept

## ◆ value() [2/2]

template<typename T>

const T & value | ( |  | ) | const
| inlinenoexcept

## ◆ swap()

template<typename T>

void swap | ( | T & | other | ) |
| inlinenoexcept

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.